# Uses of Interface
java.io.ObjectInputFilter

Packages that use ObjectInputFilter
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.

## Uses of ObjectInputFilter in java.io

Methods in java.io that return ObjectInputFilter
Modifier and Type
Method
Description
`static ObjectInputFilter`
ObjectInputFilter.`allowFilter(Predicate<Class<?>> predicate, ObjectInputFilter.Status otherStatus)`
Returns a filter that returns `Status.ALLOWED` if the predicate on the class is `true`.
`static ObjectInputFilter`
ObjectInputFilter.Config.`createFilter(String pattern)`
Returns an ObjectInputFilter from a string of patterns.
`final ObjectInputFilter`
ObjectInputStream.`getObjectInputFilter()`
Returns the deserialization filter for this stream.
`static ObjectInputFilter`
ObjectInputFilter.Config.`getSerialFilter()`
Returns the static JVM-wide deserialization filter or `null` if not configured.
`static ObjectInputFilter`
ObjectInputFilter.`merge(ObjectInputFilter filter, ObjectInputFilter anotherFilter)`
Returns a filter that merges the status of a filter and another filter.
`static ObjectInputFilter`
ObjectInputFilter.`rejectFilter(Predicate<Class<?>> predicate, ObjectInputFilter.Status otherStatus)`
Returns a filter that returns `Status.REJECTED` if the predicate on the class is `true`.
`static ObjectInputFilter`
ObjectInputFilter.`rejectUndecidedClass(ObjectInputFilter filter)`
Returns a filter that invokes a given filter and maps `UNDECIDED` to `REJECTED` for classes, with some special cases, and otherwise returns the status.
Methods in java.io that return types with arguments of type ObjectInputFilter
Modifier and Type
Method
Description
`static BinaryOperator<ObjectInputFilter>`
ObjectInputFilter.Config.`getSerialFilterFactory()`
Returns the JVM-wide deserialization filter factory.
Methods in java.io with parameters of type ObjectInputFilter
Modifier and Type
Method
Description
`static ObjectInputFilter`
ObjectInputFilter.`merge(ObjectInputFilter filter, ObjectInputFilter anotherFilter)`
Returns a filter that merges the status of a filter and another filter.
`static ObjectInputFilter`
ObjectInputFilter.`rejectUndecidedClass(ObjectInputFilter filter)`
Returns a filter that invokes a given filter and maps `UNDECIDED` to `REJECTED` for classes, with some special cases, and otherwise returns the status.
`final void`
ObjectInputStream.`setObjectInputFilter(ObjectInputFilter filter)`
Set the deserialization filter for the stream.
`static void`
ObjectInputFilter.Config.`setSerialFilter(ObjectInputFilter filter)`
Set the static JVM-wide filter if it has not already been configured or set.
Method parameters in java.io with type arguments of type ObjectInputFilter
Modifier and Type
Method
Description
`static void`
ObjectInputFilter.Config.`setSerialFilterFactory(BinaryOperator<ObjectInputFilter> filterFactory)`
Set the JVM-wide deserialization filter factory.

## Uses of ObjectInputFilter in java.rmi.server

Methods in java.rmi.server with parameters of type ObjectInputFilter
Modifier and Type
Method
Description
`static Remote`
UnicastRemoteObject.`exportObject(Remote obj, int port, ObjectInputFilter filter)`
Exports the remote object to make it available to receive incoming calls, using the particular supplied port and filter.
`static Remote`
UnicastRemoteObject.`exportObject(Remote obj, int port, RMIClientSocketFactory csf, RMIServerSocketFactory ssf, ObjectInputFilter filter)`
Exports the remote object to make it available to receive incoming calls, using a transport specified by the given socket factory and filter.